Docs | Support

molssi-seamm/lammps_step

requirements_install.txt


Pmw 2.0.1 unpinned Python 3 Permissive  
configargparse 0.15.1 unpinned Python 3 Permissive  
matplotlib 3.1.1 unpinned Python 3 Permissive  
py-cpuinfo 5.0.0 unpinned Python 3 Permissive  
seamm >=0.6 0.65 unpinned Python 3 Weak Copyleft  
seamm-ff-util >=0.6 0.6.0 unpinned Python 3 Permissive  
seamm-util >=0.6 0.6.1 unpinned Python 3 Permissive  
seamm-widgets >=0.6 0.6 unpinned Python 3 Permissive  
statsmodels 0.10.1 unpinned Python 3 Permissive  

requirements.txt


attrs ==19.1.0 19.3.0 outdated Python 3 Permissive PR
bitmath ==1.3.3.1 1.3.3.1 up-to-date Python 3 Permissive  
certifi ==2019.6.16 2019.9.11 outdated Python 3 Weak Copyleft PR
ConfigArgParse ==0.14.0 0.15.1 outdated Python 3 Permissive PR
cycler ==0.10.0 0.10.0 up-to-date Python 3 Permissive  
kiwisolver ==1.1.0 1.1.0 up-to-date Python 3 Permissive  
matplotlib ==3.1.1 3.1.1 up-to-date Python 3 Permissive  
numpy ==1.17.2 1.17.4 outdated Python 3 Permissive PR
packaging ==19.1 19.2 outdated Python 3 Permissive PR
pandas ==0.25.1 0.25.3 outdated Python 3 Permissive PR
patsy ==0.5.1 0.5.1 up-to-date Python 3 Permissive  
pbr ==5.4.3 5.4.3 up-to-date Python 3 Permissive  
Pillow ==6.1.0 6.2.1 outdated Python 3 Unknown PR
Pint ==0.9 0.9 up-to-date Python 3 Permissive  
Pmw ==2.0.1 2.0.1 up-to-date Python 3 Permissive  
py-cpuinfo ==5.0.0 5.0.0 up-to-date Python 3 Permissive  
pyparsing ==2.4.2 2.4.5 outdated Python 3 Permissive PR
python-dateutil ==2.8.0 2.8.1 outdated Python 3 Permissive PR
pytz ==2019.2 2019.3 outdated Python 3 Permissive PR
pyuca ==1.2 1.2 up-to-date Python 3 Permissive  
scipy ==1.3.1 1.3.2 outdated Python 3 Permissive PR
seamm ==0.6 0.65 outdated Python 3 Weak Copyleft PR
seamm-ff-util ==0.6.0 0.6.0 up-to-date Python 3 Permissive  
seamm-util ==0.6 0.6.1 outdated Python 3 Permissive PR
seamm-widgets ==0.6 0.6 up-to-date Python 3 Permissive  
six ==1.12.0 1.13.0 outdated Python 3 Permissive PR
statsmodels ==0.10.1 0.10.1 up-to-date Python 3 Permissive  
stevedore ==1.31.0 1.31.0 up-to-date Python 3 Permissive  

requirements_dev.txt


pip 19.3.1 unpinned Python 3 Permissive  
wheel 0.33.6 unpinned Python 3 Permissive  
watchdog 0.9.0 unpinned Python 3 Permissive  
flake8 3.7.9 unpinned Python 3 Permissive  
tox 3.14.1 unpinned Python 3 Permissive  
coverage 4.5.4 unpinned Python 3 Permissive  
Sphinx 2.2.1 unpinned Python 3 Permissive  
cryptography 2.8 unpinned Python 3 Permissive  
PyYAML >=5.1 5.1.2 unpinned Python 3 Permissive  
pytest 5.2.4 unpinned Python 3 Permissive  
pytest-runner 5.2 unpinned Python 3 Permissive  
twine 2.0.0 unpinned Python 3 Permissive  
yapf 0.28.0 unpinned Python 3 Permissive